Bug 140962 - mv getting permission denied when relocating files to a mounted smb share
mv getting permission denied when relocating files to a mounted smb share
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: selinux-policy-targeted (Show other bugs)
3
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Daniel Walsh
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-11-26 19:10 EST by Adam Glenn
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version: RHBA-2005-251
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-12 17:57:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Messages logfile grep'd for avc (22.07 KB, text/plain)
2004-11-29 13:43 EST, Adam Glenn
no flags Details

  None (edit)
Description Adam Glenn 2004-11-26 19:10:40 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.7.5)
Gecko/20041107 Firefox/1.0

Description of problem:
When tying to move files to an smb share I was getting an error of
permission denied. The fix turned out to be adding the line "allow
user_home_t cifs_t:filesystem associate;" below the line "allow cifs_t
cifs_t:filesystem associate;" in
/etc/selinux/targeted/src/policy/types then doing a make load && make
install

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Installed Fedora core 3
2. Mount a share in a user's home directory
3. Attempt to move files to that share
    

Additional info:
Comment 1 Daniel Walsh 2004-11-29 09:42:27 EST
Could you attach the AVC messages you were getting?

Thanks.

Dan
Comment 2 Adam Glenn 2004-11-29 13:43:09 EST
Created attachment 107562 [details]
Messages logfile grep'd for avc

I've also noticed that although the fix made it so I could copy files to the
shares there were still issues copying files from the shares to the local
computer.
Comment 3 Daniel Walsh 2005-01-05 08:40:49 EST
Sorry about not getting back to you sooner.  My bugs query script was
screwed up and not pulling needinfo bugs.

This should be fixed in selinux-policy-targeted-1.17.30-2.66

Dan
Comment 4 Tim Powers 2005-06-09 09:05:58 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2005-251.html

Note You need to log in before you can comment on or make changes to this bug.